aboutsummaryrefslogtreecommitdiff
path: root/network/ncrack
diff options
context:
space:
mode:
Diffstat (limited to 'network/ncrack')
-rwxr-xr-xnetwork/ncrack/ncrack.SlackBuild102
1 files changed, 102 insertions, 0 deletions
diff --git a/network/ncrack/ncrack.SlackBuild b/network/ncrack/ncrack.SlackBuild
new file mode 100755
index 0000000..95e35d7
--- /dev/null
+++ b/network/ncrack/ncrack.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=ncrack
+VERSION=0.2alpha
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=0.2ALPHA
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.gz
+REPOSITORY=http://download.insecure.org/nmap/dist
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar zxvf $CWD/$ARCHIVE
+cd $BASEDIR
+CFLAGS=${FLAGS} CXXFLAGS=${FLAGS} ./configure \
+ --build=${ARCH}-slackware-linux \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-libnbase=/usr \
+ --with-libnsock=/usr \
+ --with-libopenssh=/usr
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ncrack: ncrack (high speed network authentication cracking tool)
+ncrack:
+ncrack: Ncrack was designed using a modular approach, a command-line syntax
+ncrack: similar to Nmap and a dynamic engine that can adapt its behaviour
+ncrack: based on network feedback. It allows for rapid, yet reliable
+ncrack: large-scale auditing of multiple hosts. Ncrack's features include a
+ncrack: very flexible interface granting the user full control of network
+ncrack: operations, allowing for very sophisticated bruteforcing attacks,
+ncrack: timing templates for ease of use, runtime interaction similar to
+ncrack: Nmap's and many more.
+ncrack:
+EOF
+
+cat > $PKG/install/slack-required <<EOF
+nmap >= 5.35DC1-i486-1
+openssl-solibs >= 0.9.8n-i486-1
+EOF
+
+install -m 0644 -g 0 -o 0 CHANGELOG \
+ $PKG/usr/doc/$NAME-$VERSION
+
+xz -9f \
+ $PKG/usr/doc/$NAME-$VERSION/CHANGELOG
+
+chmod 0444 \
+ $PKG/usr/man/*/man?/*.? \
+ $PKG/usr/man/man?/*.?
+
+xz -9f \
+ $PKG/usr/man/*/man?/*.? \
+ $PKG/usr/man/man?/*.?
+
+rm -f \
+ $PKG/usr/libexec/*/*/*.la
+
+strip --strip-unneeded \
+ $PKG/usr/libexec/*/*/*.so || :
+
+strip \
+ $PKG/usr/bin/* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.txz